Update TestOrder
Update an existing Test Order.
Available updates
containerId: Set a container, omit the field to leave it unchanged, or providenullto remove the association.status: Transitions must follow the Test Order lifecycle:PENDING→IN_PROGRESS,CANCELLED, orBLOCKED;IN_PROGRESS→COMPLETEDorINVALID; andBLOCKED→PENDINGorCANCELLED.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
test_order_id
ID of the TestOrder.
Request
This endpoint expects an object.
containerId
Omit to leave unchanged, or provide null to remove the container association.
status
Status changes must follow the permitted Test Order lifecycle transitions.
Response
OK
__typename
analysisComment
Additional comments provided for a test order with a status of blocked, invalid, or canceled.
container
The container associated with the sample being tested in this test order
createdAt
Timestamp of when the test order was created.
dilutionFactor
The dilution factor of the test order.
id
The ID of the test order.
modifiedAt
Timestamp of when the test order was last modified.
name
The name of the test order.
plateWellAssociations
The plate wells this test order has been linked to.
procedure
The Assay (Procedure) for which this Test Order is created. Since a Test Definition can be used in multiple Assays, this association ensures clarity on which template should be followed for the specific Test Order. It is necessary to establish this association prior to the Assay Run to avoid ambiguity.
procedureMethodExecutionInstance
The execution instance of the procedure method, linking the Test Order to the specific Assay Run to enable easy retrieval of all related Test Orders.
result
The result of the test order.
retestSourceProcedureMethodExecutionInstance
The execution instance of the procedure method this retest order was created in the context of, linking the Test Order to the specific Assay Run to enable easy retrieval of all related Retest Orders.
sample
The sample being tested in this test order
status
The status of the test order.
testDefinition
The test definition associated with this test order.
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error